► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Widget Gallery
3 | Windowing Classes
4 | Windowing Functions
5 | Editors
6 | Snip and Style Classes
7 | Editor Classes
8 | Editor Functions
9 | WXME Decoding
10 | Preferences
11 | Dynamic Loading
12 | Startup Actions
13 | Init Libraries
14 | Platform Dependencies
| Index

▼ | 3 | Windowing Classes

3.1 | area<%>
3.2 | area-container<%>
3.3 | area-container-window<%>
3.4 | button%
3.5 | canvas<%>
3.6 | canvas%
3.7 | check-box%
3.8 | checkable-menu-item%
3.9 | choice%
3.10 | clipboard-client%
3.11 | clipboard<%>
3.12 | combo-field%
3.13 | control<%>
3.14 | column-control-event%
3.15 | control-event%
3.16 | cursor%
3.17 | dialog%
3.18 | event%
3.19 | frame%
3.20 | gauge%
3.21 | group-box-panel%
3.22 | grow-box-spacer-pane%
3.23 | horizontal-pane%
3.24 | horizontal-panel%
3.25 | key-event%
3.26 | labelled-menu-item<%>
3.27 | list-box%
3.28 | list-control<%>
3.29 | menu%
3.30 | menu-bar%
3.31 | menu-item<%>
3.32 | menu-item%
3.33 | menu-item-container<%>
3.34 | message%
3.35 | mouse-event%
3.36 | pane%
3.37 | panel%
3.38 | popup-menu%
3.39 | printer-dc%
3.40 | radio-box%
3.41 | selectable-menu-item<%>
3.42 | separator-menu-item%
3.43 | scroll-event%
3.44 | slider%
3.45 | subarea<%>
3.46 | subwindow<%>
3.47 | tab-panel%
3.48 | text-field%
3.49 | timer%
3.50 | top-level-window<%>
3.51 | vertical-pane%
3.52 | vertical-panel%
3.53 | window<%>

On this page:

get-graphical-min-size
get-parent
get-top-level-window
min-width
min-height
stretchable-height
stretchable-width

top ← prev up next →

> interface

> area<%> : interface?

An area<%> object is either a window or a windowless container for managing the position and size of other areas. An area<%> can be a container, a containee, or both. The only areas without a parent are top-level windows.

All area<%> classes accept the following named instantiation arguments:

- min-width — default is the initial graphical minimum width; passed to min-width

- min-height — default is the initial graphical minimum height; passed to min-height

- stretchable-width — default is class-specific; passed to stretchable-width

- stretchable-height — default is class-specific; passed to stretchable-height

> > method

> > (send an-area get-graphical-min-size)

> →

> dimension-integer? |  | dimension-integer?

Returns the area’s graphical minimum size as two values: the minimum width and the minimum height (in pixels).

See Geometry Management for more information. Note that the return value does not depend on the area’s min-width and min-height settings.

> > method

> > (send an-area get-parent)

> → (or/c (is-a?/c area-container<%>) #f)

Returns the area’s parent. A top-level window may have no parent (in which case #f is returned), or it may have another top-level window as its parent.

> > method

> > (send an-area get-top-level-window)

> → (or/c (is-a?/c frame%) (is-a?/c dialog%))

Returns the area’s closest frame or dialog ancestor. For a frame or dialog area, the frame or dialog itself is returned.

> > method

> > (send an-area min-width) → dimension-integer?

> (send an-area min-width w) → void?
> w : dimension-integer?

Gets or sets the area’s minimum width (in pixels) for geometry management.

The minimum width is ignored when it is smaller than the area’s graphical minimum width, or when it is smaller than the width reported by container-size if the area is a container. See Geometry Management for more information.

An area’s initial minimum width is its graphical minimum width. See also get-graphical-min-size .

When setting the minimum width, if w is smaller than the internal hard minimum, an exn:fail:contract exception is raised.

> > method

> > (send an-area min-height) → dimension-integer?

> (send an-area min-height h) → void?
> h : dimension-integer?

Gets or sets the area’s minimum height for geometry management.

The minimum height is ignored when it is smaller than the area’s graphical minimum height, or when it is smaller than the height reported by container-size if the area is a container. See Geometry Management for more information.

An area’s initial minimum height is its graphical minimum height. See also get-graphical-min-size .

When setting the minimum height (in pixels); if h is smaller than the internal hard minimum, an exn:fail:contract exception is raised.

> > method

> > (send an-area stretchable-height) → boolean?

> (send an-area stretchable-height stretch?) → void?
> stretch? : any/c

Gets or sets the area’s vertical stretchability for geometry management. See Geometry Management for more information.

> > method

> > (send an-area stretchable-width) → boolean?

> (send an-area stretchable-width stretch?) → void?
> stretch? : any/c

Gets or sets the area’s horizontal stretchability for geometry management. See Geometry Management for more information.
top ← prev up next →